activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Timothy Bish (JIRA)" <jira+amq...@apache.org>
Subject [jira] Created: (AMQNET-192) Remove support for the .NET Compact Framework builds from NMS.ActiveMQ
Date Mon, 28 Sep 2009 14:13:52 GMT
Remove support for the .NET Compact Framework builds from NMS.ActiveMQ
----------------------------------------------------------------------

                 Key: AMQNET-192
                 URL: https://issues.apache.org/activemq/browse/AMQNET-192
             Project: ActiveMQ .Net
          Issue Type: Improvement
          Components: ActiveMQ
    Affects Versions: 1.1.0
            Reporter: Timothy Bish
            Assignee: Timothy Bish
            Priority: Minor
             Fix For: 1.2.0


Currently the NMS.ActiveMQ builds a library against the .NET Compact Framework.  This limits
the .NET API available for use in the ActiveMQ client however the code has not been designed
with the goal of running on such a resource limited platform but instead is intended to eventually
gain feature parity with the ActiveMQ Java client.   By allowing use of the full .NET API
for the ActiveMQ client we can speed development and improve the overall quality of the client
code while continuing to add in more features similar to those of the Java client.

This issue proposes to remove the .NET CF support from the NMS.ActiveMQ client and direct
users who need such support to the new NMS.Stomp module which will still allow access to the
ActiveMQ broker along with any other Stomp compatible Broker.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message